# Skip tests because they require running commands
%global enable_tests 0

%global srcname pyright
%global _description %{summary}.

Name:           python-%{srcname}
Version:        1.1.381
Release:        %autorelease
Summary:        Command line wrapper for pyright

License:        MIT
URL:            https://github.com/RobertCraigie/pyright-python
Source:         %{url}/archive/refs/tags/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%if 0%{enable_tests}
BuildRequires:  python3dist(nodeenv)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-subprocess)
%endif


%description
%{_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
%{_description}


%prep
%autosetup -p1 -n pyright-python-%{version}


%generate_buildrequires
%pyproject_buildrequires -x dev


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pyproject_check_import

%if 0%{enable_tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%{_bindir}/pyright
%{_bindir}/pyright-langserver
%{_bindir}/pyright-python
%{_bindir}/pyright-python-langserver

%changelog
%autochangelog